org.apache.tinkerpop.gremlin.neo4j.groovy.plugin

## Class Neo4jGremlinPlugin

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.plugin.AbstractGremlinPlugin
  - - org.apache.tinkerpop.gremlin.neo4j.groovy.plugin.Neo4jGremlinPlugin

- All Implemented Interfaces:
    GremlinPlugin

  Deprecated.
  As of release 3.2.4, replaced by `Neo4jGremlinPlugin`.

      @Deprecated
      public final class Neo4jGremlinPlugin
      extends AbstractGremlinPlugin

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.groovy.plugin.AbstractGremlinPlugin

      `DOT_STAR, ENV_CONSOLE_IO, ENV_CONSOLE_SHELL, IMPORT_SPACE, IMPORT_STATIC_SPACE, io, requireConsoleEnvironment, shell`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.groovy.plugin.GremlinPlugin

      `ENVIRONMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Neo4jGremlinPlugin()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPluginTo(PluginAcceptor pluginAcceptor)` Deprecated. Called after the `AbstractGremlinPlugin.pluginTo(PluginAcceptor)` method is executed which sets the `AbstractGremlinPlugin.io` and `AbstractGremlinPlugin.shell` member variables.
    `String` | `getName()` Deprecated. The name of the plugin.
    `void` | `pluginTo(PluginAcceptor pluginAcceptor)` Deprecated. Implementers will typically execute imports of classes within their project that they want available in the console or they may use meta programming to introduce new extensions to the Gremlin.
    `boolean` | `requireRestart()` Deprecated. Some plugins may require a restart of the plugin host for the classloader to pick up the features.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.groovy.plugin.GremlinPlugin

      `remoteAcceptor`

- - ### Constructor Detail

    - #### Neo4jGremlinPlugin

          public Neo4jGremlinPlugin()

      Deprecated.

  - ### Method Detail

    - #### getName

          public String getName()

      Deprecated.
      Description copied from interface: `GremlinPlugin`
      The name of the plugin. This name should be unique (use a namespaced approach) as naming clashes will prevent proper plugin operations. Plugins developed by TinkerPop will be prefixed with "tinkerpop." For example, TinkerPop's implementation of Giraph would be named "tinkerpop.giraph". If Facebook were to do their own implementation the implementation might be called "facebook.giraph".

    - #### pluginTo

          public void pluginTo(PluginAcceptor pluginAcceptor)
                        throws PluginInitializationException,
                               IllegalEnvironmentException

      Deprecated.
      Description copied from class: `AbstractGremlinPlugin`
      Implementers will typically execute imports of classes within their project that they want available in the console or they may use meta programming to introduce new extensions to the Gremlin.

      Provides a base implementation for plugins by grabbing the console environment variables and assigning them to the `AbstractGremlinPlugin.io` and `AbstractGremlinPlugin.shell` member variables.
      Specified by:
        `pluginTo` in interface `GremlinPlugin`
      Overrides:
        `pluginTo` in class `AbstractGremlinPlugin`
      Throws:
        `PluginInitializationException` - if there is a failure in the plugin iniitalization process
        `IllegalEnvironmentException` - if `AbstractGremlinPlugin.requireConsoleEnvironment` is set to true and if either the `AbstractGremlinPlugin.io` and `AbstractGremlinPlugin.shell` member variables are null.

    - #### afterPluginTo

          public void afterPluginTo(PluginAcceptor pluginAcceptor)
                             throws IllegalEnvironmentException,
                                    PluginInitializationException

      Deprecated.
      Description copied from class: `AbstractGremlinPlugin`
      Called after the `AbstractGremlinPlugin.pluginTo(PluginAcceptor)` method is executed which sets the `AbstractGremlinPlugin.io` and `AbstractGremlinPlugin.shell` member variables.
      Specified by:
        `afterPluginTo` in class `AbstractGremlinPlugin`
      Throws:
        `IllegalEnvironmentException`
        `PluginInitializationException`

    - #### requireRestart

          public boolean requireRestart()

      Deprecated.
      Description copied from interface: `GremlinPlugin`
      Some plugins may require a restart of the plugin host for the classloader to pick up the features. This is typically true of plugins that rely on `Class.forName()` to dynamically instantiate classes from the root classloader (e.g. JDBC drivers that instantiate via @{code DriverManager}).

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.